Não foi possível atualizar Hack

Tenho instalado o Endless versão 3.8.7 (201005-133640), que estava apresentando problemas de lentidão e no wifi que às vezes não localizava nenhuma rede.

Ao tentar fazer uma atualização pela central de aplicativos, apareceu a seguinte mensagem:

não foi possível atualizar o Hack: app/com.hack_computer.Clubhouse/x86_64/eos3 precisa de uma versão posterior do flatpak (1.8.2)

A nova versão do Endless HACK requer o Endless OS 3.9 que sera lançado em breve

Ola gente!
Estou passando pelo mesmo problema, tipo fui na central de aplicativos para atualizar tudo que estava lá e notei que além das atualizações também tinha a versão 3.9 do OS porém informa que necessita atualizar o flatpak para uma versão posterior ao 1.8.2, estou sem ação!!

Atualize para o Endless OS 3.9 pela Central de Aplicativos

Agora sim deu certo, mas o estranho que tive que reiniciar meu pc antes de fazer a atualização, o importante é que deu certo, obrigado por retornar Leandro.